---
title: Get DMC State Rate(s)
slug: api-documentation/get-dmc-state-rates
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "Vh11korShi-jpnX0jjNow",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-state-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-state-rate"
      }
    ],
    "name": "Get DMC State Rate(s)",
    "description": "<p>This endpoint is used to get all or some specific state rates for DMC.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.read</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "stateCode",
          "type": "string",
          "description": "The state code for which we want to get the rates."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>OK-the rate(s) are successfully returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "minItems": 1,
            "uniqueItems": true,
            "customType": "DMCStateOverrideRate[]",
            "schema": [
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "Configuration's site identifiers.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "state",
                "kind": "required",
                "type": "string",
                "description": "The state code for which the rates are specified.",
                "minLength": 1
              },
              {
                "name": "isActive",
                "kind": "optional",
                "type": "boolean",
                "description": "A flag that tells whether this configuration is active or not."
              },
              {
                "name": "freightDeliveryRateResponse",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/FreightDeliveryRateResponse",
                "customType": "FreightDeliveryRateResponse",
                "schema": [
                  {
                    "name": "dropOff",
                    "kind": "required",
                    "type": "number",
                    "description": "Drop off service charges."
                  },
                  {
                    "name": "dropOffPercentage",
                    "kind": "required",
                    "type": "number",
                    "description": "Percentage applied on drop off charges after quantity surpass."
                  },
                  {
                    "name": "dropOffExtraCharges",
                    "kind": "required",
                    "type": "number",
                    "description": "Rate after applying drop off percentage on drop off charges."
                  },
                  {
                    "name": "whiteGlove",
                    "kind": "required",
                    "type": "number",
                    "description": "White glove service charges."
                  },
                  {
                    "name": "whiteGlovePercentage",
                    "kind": "required",
                    "type": "number",
                    "description": "Percentage applied on white glove charges after quantity surpass."
                  },
                  {
                    "name": "whiteGloveExtraCharges",
                    "kind": "required",
                    "type": "number",
                    "description": "Rate after applying white glove percentage on white glove charges."
                  },
                  {
                    "name": "whiteGlovePlus",
                    "kind": "required",
                    "type": "number",
                    "description": "White glove plus service charges."
                  },
                  {
                    "name": "whiteGlovePlusPercentage",
                    "kind": "required",
                    "type": "number",
                    "description": "Percentage applied on white glove plus charges after quantity surpass."
                  },
                  {
                    "name": "whiteGlovePlusExtraCharges",
                    "kind": "required",
                    "type": "number",
                    "description": "Rate after applying white glove plus  percentage on white glove plus charges."
                  },
                  {
                    "name": "quantity",
                    "kind": "required",
                    "type": "number",
                    "description": "Quantity for which these configurations are applicable."
                  },
                  {
                    "name": "haulAwayEnabled",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Is Haul Away Allowed for this entry"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/DMCStateOverrideRate",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "orHUa_9ZyYDXJhwQbKmzq",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-state-rate \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "bxOrVPeqnxybgqNRm8tfN",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-state-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "q55bxz0kYXBnZX217Dpwh",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-state-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "kbivZb46vauuzpcrdK0sW",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-state-rate\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "orHUa_9ZyYDXJhwQbKmzq"
    },
    "results": {
      "languages": [
        {
          "id": "YDxtEAokGbAB2J1wpcfwF",
          "language": "200",
          "code": "// OK-the rate(s) are successfully returned.\n[\n  {\n    \"siteIds\": [\n      \"\"\n    ],\n    \"state\": \"\",\n    \"isActive\": false,\n    \"freightDeliveryRateResponse\": {\n      \"dropOff\": 0,\n      \"dropOffPercentage\": 0,\n      \"dropOffExtraCharges\": 0,\n      \"whiteGlove\": 0,\n      \"whiteGlovePercentage\": 0,\n      \"whiteGloveExtraCharges\": 0,\n      \"whiteGlovePlus\": 0,\n      \"whiteGlovePlusPercentage\": 0,\n      \"whiteGlovePlusExtraCharges\": 0,\n      \"quantity\": 0,\n      \"haulAwayEnabled\": false\n    }\n  }\n]"
        },
        {
          "id": "7PH5F9N0eu-ky3MNBhivr",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "YDxtEAokGbAB2J1wpcfwF"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}